import java.util.*;

/**
 * Demonstration of using vanilla constructor with many parameters for building
 * a person identity object. 
 * 
 
   This source code is from the book 
     "Flexible, Reliable Software:
       Using Patterns and Agile Development"
     published by CRC Press.
   Author: 
     Henrik B Christensen 
     Department of Computer Science
     Aarhus University
   
   Please visit http://www.baerbak.com/ for further information.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

 */
public class DemoVanillaConstructor {
  public static void main(String[] args) {
    System.out.println( "======= Demonstration of Vanilla Constructor =======");
    
    // Define the identify of the person 'John William Hansen'
    PersonIdentityVanilla john = 
      new PersonIdentityVanilla("Hansen", null, 
                                new String[] { "John", "William" },
                                Gender.Male,
                                "171100-1357",
                                new String[] {"+45 9812 3456", "+45 9812 5687"},
                                1998, Calendar.NOVEMBER, 17
      );
    System.out.println("=== John: ===");
    System.out.println(john.toString());
    
    // Define the identify of the person 'Ann Nielsen'
    PersonIdentityVanilla ann = 
        new PersonIdentityVanilla("Nielsen", "Dr.", 
            new String[] { "Ann" },
            Gender.Female,
            null,
            null,
            0, 0, 0);
    
    System.out.println("=== Ann: ===");
    System.out.println(ann.toString());
  }
}

