import org.junit.*;
import static org.junit.Assert.*;

/** Testing dayOfWeek using the JUnit 4.x framework.

   This source code is from the book 
     "Flexible, Reliable Software:
       Using Patterns and Agile Development"
     published by CRC Press.
   Author: 
     Henrik B Christensen 
     Department of Computer Science
     Aarhus University
   
   Please visit http://www.baerbak.com/ for further information.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

*/
public class TestDayOfWeek {
  
  /**
   * Test that December 25th 2010 is Saturday
   */
  @Test
  public void shouldGiveSaturdayFor25Dec2010() {
    Date date = new Date( 2010, 12, 25);
    assertEquals( "Dec 25th 2010 is Saturday", 
                  Date.Weekday.SATURDAY, date.dayOfWeek() ); 
  }
  /**
   * Test that December 25th 2008 is Thursday
   */
  @Test
  public void shouldGiveThursdayFor25Dec2008() {
    Date date = new Date( 2008, 12, 25);
    assertEquals( "Dec 25th 2008 is Thursday", 
                  Date.Weekday.THURSDAY, date.dayOfWeek() ); 
  }
}
