package breakthrough.domain;

/**
 * The states possible for a (proposed) move. Any move starts as PROPOSED when
 * clients request it; and the game then either marks the move as ACCEPTED or
 * REJECTED based upon validity of the move given the current game state.
 
   This source code is from the book 
     "Flexible, Reliable Software:
       Using Patterns and Agile Development"
     published by CRC Press.
   Author: 
     Henrik B Christensen 
     Department of Computer Science
     Aarhus University
   
   Please visit http://www.baerbak.com/ for further information.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

 
 */
public enum MoveState {
  PROPOSED, // A move has been proposed, but not validated
  ACCEPTED, // A move has been validated and accepted as valid
  REJECTED  // A move has been validated and rejected as invalid
}
