import org.junit.*;
import static org.junit.Assert.*;

/** Learning tests for "Gerry" - a backgammon game AI player.
 
   This source code is from the book 
     "Flexible, Reliable Software:
       Using Patterns and Agile Development"
     published by CRC Press.
   Author: 
     Henrik B Christensen 
     Department of Computer Science
     Aarhus University
   
   Please visit http://www.baerbak.com/ for further information.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

*/
public class TestGerry {
  private int[] openingboard;
  private Gerry gerry;
  private Move move;

  @Before
  public void setUp() {
    gerry = new Gerry();
    openingboard = new int[28];
    // standard backgammon setup
    openingboard[1]  = 2;
    openingboard[6]  = -5;
    openingboard[8]  = -3;
    openingboard[12] = 5;
    openingboard[13] = -5;
    openingboard[17] = 3;
    openingboard[19] = 5;
    openingboard[24] = -2;
  }

  @Test
  public void testOpening1() {
    move = gerry.play(openingboard, new int[] {1,6});
    // 6-1 -> B8-B7 + R12-B7
    assertEquals( move.getFrom(0), 17);
    assertEquals( move.getTo(0), 18);
    assertEquals( move.getFrom(1), 12);
    assertEquals( move.getTo(1), 18);
  }
}
